# getDryRun

@Incubating
@Input
abstract fun getDryRun(): Property<Boolean>

Indicates if this task will skip individual test execution.

For JUnit 4 and 5, this will report tests that would have executed as skipped. For TestNG, this will report tests that would have executed as passed.

Only versions of TestNG which support native dry-running are supported, i.e. TestNG 6.14 or later.

#### Return

property for whether this task will skip individual test execution

#### Since

8.3